[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OnGetVendorName

Vendor name callback

## Declaration

Source position: osutilsh.inc line 66

`var OnGetVendorName: TGetVendorNameEvent;`

## Description

OnGetVendorName must be set in order for VendorName to return a value. It will then be used in GetAppConfigDir and GetAppConfigFile to determine the configuration directory. Set it to a callback that returns the actual vendor name for the application.

## See also

VendorName |  | Return Application vendor Name
GetAppConfigDir |  | Return the appropriate directory for the application's configuration files.
GetAppConfigFile |  | Return an appropriate name for an application configuration file.